
$(document).ready(function() {

	$(".nav li a").each(function() {
		if ($(this).next().length > 0) {
			$(this).addClass("parent");
		};
	})
		
	// TODO if desktop add this else add touch start
	$(".toggleMenu").click(function(e) {
		e.preventDefault();
		toggleButtonAction();
	});
	
	$(".toggleMenu").bind("tap", toggleButtonAction);
	
	adjustMenu();
})

var toggleButtonAction = function() {
	$(".toggleMenu").toggleClass("active");
	$(".nav").toggleClass("activeNav");
	$(".pageWrapper").toggleClass("activeNavPageWrapper");		
}

$(window).bind('resize orientationchange', function() {	
	adjustMenu();	
});

$(window).bind('orientationchange', function() {	
	document.body.scrollTop = 0;	
});

var adjustMenu = function() {

	$(".toggleMenu").removeClass("active");
	$(".pageWrapper").removeClass("activeNavPageWrapper");
	$(".nav").removeClass("activeNav");
	
	 if (window.matchMedia('(max-width: 808px)').matches) {
        
		$(".toggleMenu").css("display", "inline-block");				
		$(".nav li").unbind('mouseenter mouseleave');
		
		$(".nav li a.parent").unbind('click').bind('click', function(e) {
		
			// Must be attached to anchor element to prevent bubbling
			e.preventDefault();
			$(this).parent("li").toggleClass("hover");
		});
		
    } else {
      
		$(".toggleMenu").css("display", "none");
		$(".nav").show();
		$(".nav li").removeClass("hover");
		$(".nav li a").unbind('click');
		
		$(".nav li").unbind('mouseenter mouseleave').bind('mouseenter mouseleave', function() {
		
		 	// Must be attached to li so that mouseleave is not triggered when hover over submenu
		 	$(this).toggleClass('hover');
		});	
			
		$(".pageWrapper").bind('mouseenter mouseleave', function() {

			// For tablets that are width enough (landscape0 for the horizontal
			// drop down menu, we need to be able to click off the menu to close sub menus
			$(this).removeClass('hover');
		});
    }
}

